Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IHTMLImageHandler

All Known Implementing Classes:
  HTMLCompleteImageHandler, HTMLImageHandler, HTMLServerImageHandler

    public interface IHTMLImageHandler

Defines the image handler interface for use in HTML format

Method Summary
`CachedImage` | `addCachedImage(java.lang.String id, int type, IImage image, IReportContext context)` add the image into image cache, so it can be accessed through `getCachedImage`.
`CachedImage` | `getCachedImage(java.lang.String id, int type, IReportContext context)` get the cached image for that id.
`java.lang.String` | `onCustomImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onDesignImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onDocImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onFileImage(IImage image, java.lang.Object context)` Deprecated.
`java.lang.String` | `onURLImage(IImage image, java.lang.Object context)` Deprecated.

Method Detail

### onDesignImage

    java.lang.String onDesignImage(IImage image,
                                   java.lang.Object context)

  Deprecated.

  handles a design image. The implementation supplies a URL and optionally stores the image.

  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onDocImage

    java.lang.String onDocImage(IImage image,
                                java.lang.Object context)

  Deprecated.

  handles a database image. The implementation supplies a URL and optionally stores the image.

  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onFileImage

    java.lang.String onFileImage(IImage image,
                                 java.lang.Object context)

  Deprecated.

  handles a image specified as a on-disk URI. The implementation supplies a URL and optionally stores the image.

  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onURLImage

    java.lang.String onURLImage(IImage image,
                                java.lang.Object context)

  Deprecated.

  handles an image specified as an external URL. The implementation supplies a URL and optionally stores the image.

  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### onCustomImage

    java.lang.String onCustomImage(IImage image,
                                   java.lang.Object context)

  Deprecated.

  handles a custom image created for example, by chart extension. The implementation supplies a URL and optionally stores the image.

  Parameters:
    `image` - the image definition object
    `context` - the context for generating the URL
  Returns:
    the URL for the image

### getCachedImage

    CachedImage getCachedImage(java.lang.String id,
                               int type,
                               IReportContext context)

  get the cached image for that id. The CachedImage object contains: URL: the absolute file path of the image. MIMETYPE: the mimetype of the image IMAGEMAP: the image map of the image.

  Parameters:
    `id` - id of the image
    `type` - type of the image, one defined in the IImage
    `context` - script context
  Returns:
    CachedImage object if find, otherwise, return null.

### addCachedImage

    CachedImage addCachedImage(java.lang.String id,
                               int type,
                               IImage image,
                               IReportContext context)

  add the image into image cache, so it can be accessed through `getCachedImage`.

  Parameters:
    `id` - cache key
    `type` - image type
    `image` - image object
    `context` - report context
  Returns:
    the cached image.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.